Print Page | Close Window

Form comparison Issue

Printed From: ORCL Toolbox
Category: ORCL Toolbox
Forum Name: FormsAPI Master
Forum Description: FormsAPI Master related questions and answers
URL: http://www.orcl-toolbox.com/forums/forum_posts.asp?TID=957
Printed Date: 21-September-2021 at 9:40am
Software Version: Web Wiz Forums 11.01 - http://www.webwizforums.com


Topic: Form comparison Issue
Posted By: apervez
Subject: Form comparison Issue
Date Posted: 25-July-2016 at 1:13pm
Hi,

I'm trying to compare forms source codes and when it finish, at the left bottom of the screen it displays a message. See below:

"Error:API-0034 : Module is saved in a newer Oracle Form version."



Thanks,
Arshad



Replies:
Posted By: administrator
Date Posted: 26-July-2016 at 6:08am
Dear Arshad,

This warning/error message happens if you load a module that is saved in a newer Oracle Forms version then FormsAPI Master is using. 

For example, if FormsAPI Master is using Forms9i but you load a module that is saved in Forms10g then you would see this message. It also happens if you are using Forms10g 10.0.1 but load a module saved in Forms 10g 10.0.2   (minor new version). 

If you load a module that is saved in a newer version then i wouldn't trust the integrity of the module it's possible that certain properties show invalid/wrong values .. there is a chance that the module could be corrupted (if you save it). 

The solution is to upgrade your Oracle Forms installation (apply the latest patches, etc) ... or if you have a newer Forms version already installed but FormsAPI Master isn't detecting it then you would need to troubleshoot that issue (adding it to your PATH should do). 

Please let me know if you need any further assistance to troubleshoot this issue!

Regards,
Stefan



Print Page | Close Window

Forum Software by Web Wiz Forums® version 11.01 - http://www.webwizforums.com
Copyright ©2001-2014 Web Wiz Ltd. - http://www.webwiz.co.uk